Subject: bug#77621: coreutils-9.6.53-14af8 on OpenBSD 7.6

From: Paul Eggert <[email-masked]>
Date: Tue, 8 Apr 2025 00:41:51 -0700

On 2025-04-07 16:06, Pádraig Brady wrote:
> I have access to cfarm220.cfarm.net,
> so I'll look at this tomorrow.

I don't see the problem on cfarm220.cfarm.net with the current coreutils 
commit (42f6201aa554fde4c78a3c5d0207d85392eb742e), using "./configure && 
make -j5 check" . The command "src/ls -Z" does not dump core: it outputs 
a bunch of file names with "?" before them. "make check" outputs a line:

PASS: tests/ls/selinux-segfault.sh

That is, it does not output a line "FAIL: tests/ls/selinux-segfault", as 
Bruno reported.

All tests pass, including gnulib tests.

You can temporarily see my build on that machine in the directory 
~eggert/coreutils-9.6.59-42f62.

Maybe the bug has been fixed since coreutils-9.6.53-14af8?